Saltar al contenido principal
GET
/
v1
/
organizations
/
{organization_id}
/
ledgers
/
{ledger_id}
/
balances
Listar Saldos
curl --request GET \
  --url https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/ledgers/{ledger_id}/balances \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "019c96a0-0c0d-7915-84b9-e497bfee9916",
      "organizationId": "019c96a0-0a98-7287-9a31-786e0809c769",
      "ledgerId": "019c96a0-0ac0-7de9-9f53-9cf842a2ee5a",
      "accountId": "019c96a0-0c0c-7221-8cf3-13313fb60081",
      "alias": "customer-brl-1",
      "key": "default",
      "assetCode": "BRL",
      "available": "1000",
      "onHold": "0",
      "version": 1,
      "accountType": "deposit",
      "allowSending": true,
      "allowReceiving": true,
      "createdAt": "2026-02-25T21:06:37.197596Z",
      "updatedAt": "2026-02-25T21:06:38.420934Z",
      "deletedAt": null
    }
  ],
  "next_cursor": "eyJpZCI6IjAxOWM5NmEwLTBjMGQtNzkxNS04NGI5LWU0OTdiZmVlOTkxNiIsInBvaW50c19uZXh0Ijp0cnVlfQ==",
  "prev_cursor": "eyJpZCI6IjAxOWM5NmEwLTBjMGQtNzkxNS04NGI5LWU0OTdiZmVlOTkxNiIsInBvaW50c19uZXh0IjpmYWxzZX0=",
  "limit": 10
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Encabezados

Authorization
string

El token de autorización. Este encabezado es requerido si su entorno tiene Access Manager habilitado.

Content-Type
string

El tipo de medio del recurso. El valor recomendado es application/json.

X-Request-Id
string<uuid>

Un identificador único utilizado para rastrear y seguir cada solicitud.

Parámetros de ruta

organization_id
string
requerido

El identificador único de la Organización asociada al Ledger.

ledger_id
string
requerido

El identificador único del Ledger asociado.

Parámetros de consulta

limit
string
requerido

El número máximo de elementos a incluir en la respuesta.

start_date
string

El inicio del período que desea recuperar. También debe incluir el end_date.

end_date
string

El fin del período que desea recuperar. También debe incluir el start_date.

sort_order
enum<enum>

El orden utilizado para ordenar los resultados.

Opciones disponibles:
asc,
desc
cursor
string

Un token de cursor codificado de una respuesta anterior (next_cursor o prev_cursor) para navegar hacia adelante o hacia atrás en los resultados.

Respuesta

Indica que la solicitud fue exitosa y la respuesta contiene los datos esperados.

items
object[]
next_cursor
string

Cursor codificado que apunta a la siguiente página de resultados.

prev_cursor
string

Cursor codificado que apunta a la página anterior de resultados.

limit
integer

El número máximo de elementos incluidos en la respuesta.